Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1495848 - [RFE] - Check existence of certs tarball before running capsule installation or upgrade
Summary: [RFE] - Check existence of certs tarball before running capsule installation ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.2.12
Hardware: All
OS: Linux
high
medium
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 12:29 UTC by Nagoor Shaik
Modified: 2019-09-26 14:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-16 22:07:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nagoor Shaik 2017-09-26 12:29:13 UTC
Description of problem:

Check existence of certs tarball before running capsule installation or upgrade. 

Version-Release number of selected component (if applicable):
Red Hat Satellite and Capsule 6.2.12

How reproducible:
100 % 

Steps to Reproduce:
1. Remove the certs tarball from the Capsule server 
2. Attempt to upgrade the Capsule which would fail
3.

Actual results:
Current version of Installer doesn't check for existence of certs tarball

Expected results:
Have a check in place in installer to check existence of certs tarball on the Capsule server

Additional info:

Comment 3 Chris Roberts 2018-01-16 22:07:34 UTC
Working upstream:

Installing             Done                                               [100%] [................................................................................................................................]
  Success!
  The full log is at /var/log/foreman-installer/foreman-proxy-content.log
[root@foo ~]# ls
anaconda-ks.cfg  certs.tar  ssl-build
[root@foo ~]# mv certs.tar /tmp/
[root@foo ~]# foreman-installer 
The certs tar file generated by the server is not present at /root/certs.tar, exiting.

Closing this out.


Note You need to log in before you can comment on or make changes to this bug.